#' Get genus level data frame
#'
#' @param taxdf the data frame with tax or genus
#'
#' @return genusdf tibble
#' @importFrom dplyr group_by summarize ungroup
#' @export
#'
get_genusdf <- function(taxdf) {
  genusdf <- taxdf |>
    dplyr::summarize(
      den = sum(.data$den, na.rm = TRUE),
      bio = sum(.data$bio, na.rm = TRUE),
      .by = c("date", "site", "depth", "phyta", "genus")
    )
  return(genusdf)
}
