#' Get phylum level aggregated data frame
#'
#' @param genusdf genus level data frame
#'
#' @return phytadf tibble
#' @importFrom dplyr summarize
#' @export
#'
get_phytadf <- function(genusdf) {
  phytadf <- genusdf |>
    dplyr::summarize(
      den = sum(.data$den, na.rm = TRUE),
      bio = sum(.data$bio, na.rm = TRUE),
      .by = c("date", "site", "depth", "phyta")
    )
  return(phytadf)
}
