#' Find the language is using
#'
#' @param phytodf phyto data
#'
#' @return lang
#' @export
#'
get_phytolang <- function(phytodf) { # 可以是ccdb
  if (any(names(phytodf) == "phyta")) {
    if (any(grepl("藻$|门$", tail(phytodf$phyta, 1), perl = TRUE))) {
      return("cn")
    }
    return("en")
  }
  if (any(names(phytodf) == "genus")) {
    if (any(grepl("藻$", tail(phytodf$genus, 1), perl = TRUE))) {
      return("cn")
    }
    return("en")
  }
  if (any(names(phytodf) == "tax")) { # ccdb
    if (any(grepl("藻$", tail(phytodf$tax, 1), perl = TRUE))) {
      return("cn")
    }
    return("en")
  }
  if (any(names(phytodf) == "taxcn")) { # ccdb
    return("cn")
  }
  if (any(names(phytodf) == "taxen")) { # ccdb
    return("en")
  }
  stop("Unindentified data frame!\nphytodf and ccdb are allowed.")
}
