#' Get the Number of Genera
#'
#' This function calculates the number of unique genera in a given taxonomic
#' data frame.
#'
#' @param taxdf A taxonomic data frame that contains genus-level information.
#'    It should include a column for genera, typically named `genus` or `tax`.
#'
#' @return An integer representing the number of unique genera in the provided
#' data frame.
#'
#' @export
#'
#' @examples
#' genus_count <- ngenus(taxdf)
#'
ngenus <- function(taxdf) {
  return(length(get_taxorder(taxdf)))
}
