#' Get the Number of Phyla
#'
#' This function calculates the number of unique phyla in a given taxonomic
#' data frame.
#'
#' @param taxdf A taxonomic data frame that contains phylum-level information.
#'   It should include a column for phyla, typically named `phyta` or `tax`.
#'
#' @return An integer representing the number of unique phyla in the provided
#' data frame.
#'
#' @export
#'
#' @examples
#' phyta_count <- nphyta(taxdf)
#'
nphyta <- function(taxdf) {
  return(length(get_phytaorder(taxdf)))
}
