% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/check_taxdb.R
\name{check_blanks}
\alias{check_blanks}
\title{Check and Fix Blank Character Issues in \code{taxdb}}
\usage{
check_blanks(taxdb, cols = 2:11, fixit = FALSE)

check_blanks(taxdb, cols = 2:11, fixit = FALSE)
}
\arguments{
\item{taxdb}{Data frame. The taxonomic database to be checked.}

\item{cols}{Integer or character vector. Columns to check for blank
character issues. Defaults to columns 2 through 11.}

\item{fixit}{Logical. Whether to automatically fix detected blank
character issues. Defaults to \code{FALSE}.}
}
\value{
Data frame. The original or corrected \code{taxdb} if \code{fixit} is
\code{TRUE}. A message is also printed to indicate if issues were found and
fixed.

Data frame. The original or corrected \code{taxdb} if \code{fixit} is
\code{TRUE}. A message is also printed to indicate if issues were found and
fixed.
}
\description{
This function checks for and optionally fixes issues related to blank
characters in the specified columns of the taxonomic database (\code{taxdb}).
It detects leading, trailing, and multiple consecutive blank characters,
as well as specific patterns like " sp", which could cause issues in data
processing.

This function checks for and optionally fixes issues related to blank
characters in the specified columns of the taxonomic database (\code{taxdb}).
It detects leading, trailing, and multiple consecutive blank characters,
as well as specific patterns like " sp", which could cause issues in data
processing.
}
\examples{
taxdb <- data.frame(
  taxen = c("Homo ", "Pan", "Gorilla", " Pongo"),
  speciesen = c("sapiens", "troglodytes", "gorilla", "pygmaeus"),
  stringsAsFactors = FALSE
)
taxdb_fixed <- check_blanks(taxdb, fixit = TRUE)
taxdb <- data.frame(
  taxen = c("Homo ", "Pan", "Gorilla", " Pongo"),
  speciesen = c("sapiens", "troglodytes", "gorilla", "pygmaeus"),
  stringsAsFactors = FALSE
)
taxdb_fixed <- check_blanks(taxdb, fixit = TRUE)
}
