% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/check_taxdb.R
\name{check_duplicates}
\alias{check_duplicates}
\title{Check for Duplicated Records in \code{taxdb}}
\usage{
check_duplicates(
  taxdb,
  fixit = TRUE,
  fn = ifelse(isTRUE(fixit), tempfile(fileext = ".xlsx"), NULL)
)
}
\arguments{
\item{taxdb}{Data frame. The taxonomic database to be checked.}

\item{fixit}{Logical. Whether to automatically fix duplicated records in
\code{taxdb}. Defaults to \code{TRUE}.}

\item{fn}{Character. The filename to save the fixed records if \code{fixit} is \code{TRUE}.}
}
\value{
Data frame. The original or updated \code{taxdb} with duplicates removed if
\code{fixit} is \code{TRUE}.
}
\description{
This function checks for duplicated records in the taxonomic database (\code{taxdb})
based on specified columns and provides an option to fix the duplicates.
}
