% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/check_taxdb.R
\name{check_taxdb}
\alias{check_taxdb}
\title{Check and Fix the Taxonomic Database (taxdb)}
\usage{
check_taxdb(
  uid,
  taxdb = get_taxdb(uid, cols = "*"),
  fixit = FALSE,
  updatetaxdb = FALSE,
  fn = ifelse(isTRUE(fixit), tempfile(fileext = ".xlsx"), NULL)
)
}
\arguments{
\item{uid}{Character. The user ID associated with the \code{cctdb} database.
This parameter is mandatory.}

\item{taxdb}{Data frame. The taxonomic database to be checked. Defaults
to the result of \code{get_taxdb(uid, cols = "*")}.}

\item{fixit}{Logical. Whether to attempt fixing issues found in \code{taxdb}.
Defaults to \code{FALSE}.}

\item{updatetaxdb}{Logical. Whether to update the fixed \code{taxdb} in the
database. Defaults to \code{FALSE}.}

\item{fn}{Character. The file name for storing fixes temporarily if
\code{fixit} is \code{TRUE}. Defaults to a temporary file with the \code{.xlsx}
extension.}
}
\value{
Data frame. The checked and possibly fixed \code{taxdb}.
}
\description{
This function checks the integrity of the taxonomic database (\code{taxdb})
associated with a specific user ID (\code{uid}). It can detect and optionally
fix issues such as blanks, missing values, erroneous names, and duplicate
entries. If requested, it can update the \code{taxdb} in the user's public
database.
}
