% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/fix_cctax.R
\name{fix_cctax_bak}
\alias{fix_cctax_bak}
\title{Fix the Incorrect Tax Name in \code{cc} Table}
\usage{
fix_cctax_bak(
  taxerror,
  taxcorrect,
  uid = NULL,
  conn = cctdb::get_dbconn(ifelse(grepl("ucc", uid), stringr::str_c(uid, "pub"), uid),
    writepermission = TRUE),
  dbdisconn = TRUE
)
}
\arguments{
\item{taxerror}{Character. The incorrect tax name.}

\item{taxcorrect}{Character. The correct tax name.}

\item{uid}{Character. cctb uid.}

\item{conn}{Database connection object. Defaults to a connection obtained
from \code{cctdb::get_dbconn}.}

\item{dbdisconn}{Logical. Whether to disconnect from the database after
execution. Defaults to TRUE.}
}
\value{
Logical. Returns TRUE if the update was successful.
}
\description{
Fix the Incorrect Tax Name in \code{cc} Table
}
\examples{
if (FALSE) {
  uid <- "ucc0013"
  taxerror <- "纤维栅藻"
  taxcorrect <- "栅藻"
  fix_cctax(taxerror, taxcorrect, uid = uid)
}

}
