% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/get_ccdb.R
\name{get_ccdb}
\alias{get_ccdb}
\title{read cell counting data from MYSQL database in RCEES}
\usage{
get_ccdb(
  uid,
  daterange = lubridate::today() - c(1460, 0),
  pids = "",
  sites = "",
  zlim = c(0, 30),
  reps = "",
  taxs = "",
  extracond = "",
  cols = c("pid", "date", "site", "depth", "rep", "tax", "den", "bio"),
  conn = cctdb::get_dbconn(gsub("^(ucc.*)", "\\\\1pub", uid)),
  datelim = NULL,
  dbdisconn = TRUE
)
}
\arguments{
\item{uid}{database User ID, provided by RCEES}

\item{daterange}{date range}

\item{pids}{project ids}

\item{sites}{sites}

\item{zlim}{water depth range of samples}

\item{reps}{repeat samples id}

\item{taxs}{taxonomy names}

\item{extracond}{extra condition statement}

\item{cols}{variables to dplyr::select}

\item{conn}{connection to database server}

\item{datelim}{(deprecated!) Date range as a vector of two dates.}

\item{dbdisconn}{disconnect conn when finished}
}
\value{
return a data frame with counting data and tax info.
}
\description{
read cell counting data from MYSQL database in RCEES, which is
generated by the Cell Counting Tool, mainly read the cell
counting values and taxononmy database, return a dataframe
}
