% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/get_ccsqlstr.R
\name{get_ccsqlstr}
\alias{get_ccsqlstr}
\title{Get SQL Conditional Statement for ccdb}
\usage{
get_ccsqlstr(
  daterange = lubridate::today() - c(365, 0),
  pids = "",
  sites = "",
  zlim = c(0, 30),
  taxs = "",
  reps = "",
  extracond = "",
  datelim = NULL
)
}
\arguments{
\item{daterange}{Date range as a vector of two dates.}

\item{pids}{Project IDs as a string.}

\item{sites}{Sites as a string.}

\item{zlim}{Water depth range of samples as a numeric vector.}

\item{taxs}{Taxonomy names as a string.}

\item{reps}{Repeat sample IDs as a string.}

\item{extracond}{Extra condition statement as a string.}

\item{datelim}{(deprecated!) Date range as a vector of two dates.}
}
\value{
A string representing the SQL WHERE clause.
}
\description{
This function constructs an SQL WHERE clause based on provided parameters
for querying the cc database.
}
