% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/get_domindex.R
\name{get_domindex}
\alias{get_domindex}
\title{Calculate Dominant Index}
\usage{
get_domindex(Vdf, vartouse = tail(names(Vdf), 1), byphyta = FALSE)

get_domindex(Vdf, vartouse = tail(names(Vdf), 1), byphyta = FALSE)
}
\arguments{
\item{Vdf}{A dataframe containing community data with a variable column 'V'.}

\item{vartouse}{A string specifying the column name to use for calculations.
Default is the last column of the dataframe.}

\item{byphyta}{A boolean indicating whether to process the data by phyta.
Default is FALSE.}
}
\value{
A dataframe with the dominant index calculated.

A dataframe with the dominating index calculated.
}
\description{
This function calculates the dominant index for a given dataframe.

This function calculates the dominating index for a given dataframe,
optionally grouping by phyta.
}
\examples{
# Example usage:
Vdf <- data.frame(taxlevel = c("species1", "species2"), V = c(10, 20))
result <- get_domindex(Vdf, byphyta = TRUE)
# Example usage:
Vdf <- data.frame(taxlevel = c("species1", "species2"), V = c(10, 20))
result <- get_domindex(Vdf, byphyta = TRUE)
}
