% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/get_ecoindex.R
\name{get_ecoindex}
\alias{get_ecoindex}
\title{Calculate Ecological Indices and Dominant Species Strings}
\usage{
get_ecoindex(
  df,
  domP = 0.1,
  vartouse = tail(colnames(df), 1),
  ecoindex = TRUE,
  lang = get_phytolang(df),
  domwithnumber = FALSE
)
}
\arguments{
\item{df}{A dataframe containing the data.}

\item{domP}{A numeric value indicating the threshold for dominant species.
Default is 0.1.}

\item{vartouse}{A string specifying the column name to use. Default is the
last column name of df.}

\item{ecoindex}{A boolean indicating whether to calculate ecological indices.
Default is TRUE.}

\item{lang}{A string specifying the language for the dominant species string.
Default is the result of get_phytolang(df).}

\item{domwithnumber}{A boolean indicating whether to include numbers in the
dominant species string. Default is FALSE.}
}
\value{
A dataframe with calculated indices and dominant species strings.
}
\description{
This function calculates various ecological indices and generates strings
representing the dominant species in a dataset.
}
\examples{
# Example usage:
df <- data.frame(...) # Your data here
result <- get_ecoindex(df)

}
