% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/get_ecoindexdf.R
\name{get_ecoindexdf}
\alias{get_ecoindexdf}
\title{Calculate Ecological Indices and Dominant Species Strings for Taxonomic Data}
\usage{
get_ecoindexdf(
  taxdf,
  modestr = "N",
  domP = 0.1,
  vartouse = "den",
  ecoindex = TRUE,
  lang = get_phytolang(taxdf),
  domwithnumber = FALSE
)
}
\arguments{
\item{taxdf}{A dataframe containing the taxonomic data.}

\item{modestr}{A string specifying the mode for nesting data.
Default is "N".}

\item{domP}{A numeric value indicating the threshold for dominant species.
Default is 0.1.}

\item{vartouse}{A string specifying the column name to use. Default is "den".}

\item{ecoindex}{A boolean indicating whether to calculate ecological indices.
Default is TRUE.}

\item{lang}{A string specifying the language for the dominant species string.
Default is the result of get_phytolang(taxdf).}

\item{domwithnumber}{A boolean indicating whether to include numbers in the
dominant species string. Default is FALSE.}
}
\value{
A dataframe with calculated indices and dominant species strings.
}
\description{
This function calculates various ecological indices and generates strings
representing the dominant species for taxonomic data.
}
\examples{
# Example usage:
taxdf <- data.frame(...) # Your taxonomic data here
result <- get_ecoindexdf(taxdf)

}
