% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/get_identdb.R
\name{get_identdb}
\alias{get_identdb}
\title{read cell ident data from MYSQL database in RCEES}
\usage{
get_identdb(
  uid,
  daterange = "",
  sites = "",
  zlim = c(0, 100),
  reps = "",
  taxs = "",
  conn = cctdb::get_dbconn(gsub("^(ucc.*)$", "\\\\1pub", uid)),
  dbdisconn = TRUE,
  datelim = NULL
)
}
\arguments{
\item{uid}{database User ID, provided by RCEES}

\item{daterange}{date range}

\item{sites}{sites}

\item{zlim}{water depth range of samples}

\item{reps}{repeat samples id}

\item{taxs}{taxonomy names}

\item{conn}{connection to database server}

\item{dbdisconn}{disconnect conn when finished}

\item{datelim}{(deprecated!) date range}
}
\value{
return a data frame with ident data.
}
\description{
read ident data from MYSQL database in RCEES, which is
generated by the Cell Counting Tool, mainly read the cell
counting values and taxononmy database, return a dataframe
}
