% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/get_ndomdf.R
\name{get_ndomdf}
\alias{get_ndomdf}
\title{Get the Specified Number of Dominating Taxa}
\usage{
get_ndomdf(
  domindexdf,
  level = "taxlevel",
  vartouse = "den",
  ndom = if (level == "phyta") 3 else 10,
  .by = NULL,
  .otherby = c("total", "phyta"),
  lang = get_phytolang(domindexdf)
)
}
\arguments{
\item{domindexdf}{A data frame with dominating data.}

\item{vartouse}{A string specifying the variable to use for calculations
("den" or "bio").}

\item{ndom}{An integer specifying the number of dominating taxa to return.
Default is 100 if \code{.by} is NULL; otherwise, it defaults to 3.}

\item{.by}{Optional grouping variable. If provided, the function will
summarize by this variable.}
}
\value{
A filtered data frame containing the specified number of dominating
taxa.
}
\description{
This function retrieves the specified number of dominating taxa based on
the given variable (density or biomass) from the dominating data frame.
}
