% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/get_phytacol.R
\name{get_phytacol}
\alias{get_phytacol}
\title{Get Colour Values for Ordered Phylum Names}
\usage{
get_phytacol(phytaorder, coldf = FALSE, .names_check = FALSE)
}
\arguments{
\item{phytaorder}{A character vector of ordered phylum names.}

\item{coldf}{A logical value indicating whether to return the full
colour data frame. If TRUE, the function returns a list containing
both the colour vector and the complete colour data frame.}
}
\value{
A named character vector of colour values for the specified
phylum names. If \code{coldf} is TRUE, returns a list containing:
\itemize{
\item \code{col}: the named vector of colour values.
\item \code{coldf}: the complete colour data frame.
}
}
\description{
This function retrieves the colour values associated with a specified
order of phyla.
}
\examples{
get_phytaorder(phytadf) |> get_phytacol()

}
