% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/get_phytagrid_yearlydf.R
\name{get_phytagrid_yearlydf}
\alias{get_phytagrid_yearlydf}
\title{Get Yearly Data Frame of Phyla Concentrations}
\usage{
get_phytagrid_yearlydf(phytadf, vartoplot = "den")
}
\arguments{
\item{phytadf}{A data frame containing at least the columns \code{date} and the
variable specified by \code{vartoplot}.}

\item{vartoplot}{A character string indicating the name of the variable to
plot. Default is "den".}
}
\value{
A data frame with average concentrations of each phylum by year and
month, including percentage contributions to total concentrations.
}
\description{
This function calculates the average concentrations of specified variable
grouped by year and month for each phylum, while handling missing values.
}
\examples{
yearly_data <- get_phytagrid_yearlydf(phytadf, vartoplot = "den")

}
