% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/get_phytagriddf.R
\name{get_phytagriddf}
\alias{get_phytagriddf}
\title{Phyla Grid Data Frame}
\usage{
get_phytagriddf(phytadf, vartoplot = "den")
}
\arguments{
\item{phytadf}{A data frame containing at least the columns \code{date} and the
variable specified by \code{vartoplot}.}

\item{vartoplot}{A character string indicating the name of the variable to
plot. Default is "den".}
}
\value{
A data frame with average concentrations for each phylum by month,
including total concentrations and percentage contributions.
}
\description{
This function generates a data frame summarizing average concentrations of
specified variables for each phylum, grouped by month. Missing values are
replaced with zeros.
}
\examples{
phytagriddf <- get_phytagriddf(phytadf)

}
