% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/get_phytaorder.R
\name{get_phytaorder}
\alias{get_phytaorder}
\title{Get Ordered Phyta}
\usage{
get_phytaorder(phytadf, withother = FALSE, lang = get_phytolang(phytadf))
}
\arguments{
\item{phytadf}{A data frame at the phylum level containing either a \code{den}
(density) or \code{V} (volume) column.}

\item{withother}{A logical indicating whether to include an unspecified phyla
category labeled as "Other" (or "其他" in Chinese). Default is
FALSE.}

\item{lang}{A character string specifying the language to use for the "Other"
category. Defaults to the output of \code{get_phytolang(phytadf)}.}
}
\value{
A character vector of ordered phylum names. If \code{withother} is TRUE,
includes an additional "Other" category.
}
\description{
This function generates an ordered vector of phylum names based on
their total densities or volumes, depending on the available data in the input
data frame. Optionally, it can include an "Other" category for unspecified phyla.
}
\examples{
ordered_phyta <- get_phytaorder(phytadf, withother = TRUE)

}
