% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/get_phytodf.R
\name{get_phytodf}
\alias{get_phytodf}
\title{Get Phytoplankton Data Frame}
\usage{
get_phytodf(ccdf, lang = get_phytolang(ccdf))
}
\arguments{
\item{ccdf}{A data frame containing cell counting data, which includes
columns for phytoplankton information.}

\item{lang}{A character string specifying the language to use for column
names. Defaults to the output of \code{get_phytolang(ccdf)}.}
}
\value{
A data frame containing the formatted phytoplankton data with
relevant columns renamed according to the selected language.
}
\description{
This function extracts and formats phytoplankton data from a cell counting
data frame based on the specified language. It removes unnecessary columns
and renames relevant ones according to the selected language.
}
\examples{
phytoplankton_df <- get_phytodf(cellcount_data)

}
