% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/get_phytonamedf.R
\name{get_phytonamedf}
\alias{get_phytonamedf}
\title{Get Phytoplankton Name Data Frame}
\usage{
get_phytonamedf(taxdf, modestr = "PGSEC", kable = FALSE)
}
\arguments{
\item{taxdf}{A data frame containing taxonomic data, including information on
phytoplankton species and their respective volumes.}

\item{modestr}{A character string specifying the mode to use.
Defaults to "PGSEC".}

\item{kable}{A logical value indicating whether to format the output as a
kable. Defaults to FALSE.}
}
\value{
A data frame containing phytoplankton names and their associated
taxonomic levels, sorted by total volume in descending order.
}
\description{
This function retrieves a data frame containing phytoplankton names and their
corresponding taxonomic levels based on a specified taxonomic data frame and
mode.
}
\examples{
phytoname_df <- get_phytonamedf(taxonomic_data)

}
