% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/get_taxcol.R
\name{get_taxcol}
\alias{get_taxcol}
\title{Get Colour Values for Taxonomic Groups}
\usage{
get_taxcol(taxorder, coldf = FALSE)
}
\arguments{
\item{taxorder}{A character vector of ordered taxonomic names.}

\item{coldf}{A logical indicating whether to return a data frame
with additional information (default is FALSE).}
}
\value{
If \code{coldf} is FALSE, a named vector of colour values for the
taxonomic groups. If \code{coldf} is TRUE, a tibble containing
the taxonomic names, language identifier, and associated colours.
}
\description{
This function generates colour values for ordered taxonomic groups
based on the specified order. If requested, it can also return a data
frame containing the taxonomic names and their associated colours.
}
\examples{
tax_colours <- get_taxcol(taxorder)
tax_colours_df <- get_taxcol(taxorder, coldf = TRUE)

}
