% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/get_taxdb.R
\name{get_taxdb}
\alias{get_taxdb}
\title{Read Cell Counting Data from MySQL Database in RCEES}
\usage{
get_taxdb(
  uid,
  taxs = "",
  cols = c("taxonen", "taxoncn", "phytaen", "phytacn", "genuscn", "genusen", "speciesen",
    "speciescn"),
  conn = cctdb::get_dbconn(gsub("^(ucc.*)$", "\\\\1pub", uid)),
  dbdisconn = TRUE
)
}
\arguments{
\item{uid}{Database User ID, provided by RCEES.}

\item{taxs}{Taxonomy names to filter the results.}

\item{cols}{Variables to select from the database. Default includes
common taxonomy fields.}

\item{conn}{Connection to the database server. A default connection
is established using the provided User ID.}

\item{dbdisconn}{Logical indicating whether to disconnect from the
database when finished (default is TRUE).}
}
\value{
A data frame containing cell counting data and taxonomy information.
}
\description{
This function retrieves cell counting data from the MySQL database
at RCEES, specifically designed for use with the Cell Counting Tool.
It returns a data frame containing cell counting values and taxonomy
information.
}
\examples{
tax_data <- get_taxdb(uid = "your_user_id", taxs = "some_taxa")

}
