% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/get_taxorder.R
\name{get_taxorder}
\alias{get_taxorder}
\title{Order the Taxonomic Groups}
\usage{
get_taxorder(taxdf, withother = FALSE)
}
\arguments{
\item{taxdf}{A taxonomically aggregated data frame. It should contain
either the columns \code{taxlevel}, \code{tax}, or \code{genus}.}

\item{withother}{Logical indicating whether to include unspecified taxa
under the label "Other" or "其他" (for Chinese).}
}
\value{
A character vector of ordered taxonomic group names.
}
\description{
This function orders taxonomic groups based on their total density or volume,
depending on the available columns in the provided data frame. It can also
group unspecified taxa into an "Other" category if desired.
}
\examples{
ordered_taxa <- get_taxorder(taxdf, withother = TRUE)

}
