% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/pidsitesqlstr.R
\name{pidsitesqlstr}
\alias{pidsitesqlstr}
\title{Generate SQL Statement for PIDs or Sites}
\usage{
pidsitesqlstr(pidsorsites, type)
}
\arguments{
\item{pidsorsites}{A character vector of PIDs or site identifiers. Can include ranges (e.g., "1-5") and
must be formatted correctly (e.g., separated by commas).}

\item{type}{A string indicating the column name to filter on (e.g., "pid" or "site").}
}
\value{
A character string representing the SQL WHERE clause for the provided PIDs or sites.
}
\description{
This function constructs a SQL WHERE clause to filter records based on specified PIDs or site identifiers.
It handles individual IDs, ranges (e.g., "1-5"), and sanitizes input to prevent SQL injection.
}
\examples{
sql_condition <- pidsitesqlstr("1, 2, 3-5", "pid")

}
