% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/plot_cloudtax.R
\name{plot_cloudtax}
\alias{plot_cloudtax}
\title{Plot Word Cloud with Taxonomic Data}
\usage{
plot_cloudtax(
  taxdf,
  modestr = "DN",
  vartouse = "den",
  ntaxP = 10,
  lambda = 0.5,
  maxsize = 8,
  ncol = 4,
  shape = "circle",
  rm_outside = TRUE,
  trans = "identity",
  ...
)
}
\arguments{
\item{taxdf}{A data frame containing taxonomic level data.}

\item{modestr}{A string indicating the aggregation mode (e.g., "DN"
for density, "P" for phylum).}

\item{vartouse}{A string specifying the variable to calculate the
weight for the word cloud.}

\item{ntaxP}{An integer; when aggregating by phylum, it merges
groups with fewer than this number of taxa.}

\item{lambda}{A numeric value used to adjust the size of words in
the word cloud.}

\item{maxsize}{A numeric value defining the maximum size of words
in the word cloud.}

\item{ncol}{An integer indicating the number of columns for
faceting.}

\item{shape}{A string specifying the shape of the word cloud.}

\item{rm_outside}{A logical value indicating whether to remove text
outside the plot area.}

\item{trans}{A string specifying the transformation to apply to the
size scale.}

\item{...}{Additional parameters passed to \code{geom_text_wordcloud_area}.}
}
\value{
A ggplot object representing the word cloud.
}
\description{
This function creates a word cloud visualization for taxonomic data
using specified weights from the provided taxonomic data frame.
It allows for aggregation and customization of the plot.
}
\examples{
plot_cloudtax(taxdf, modestr = "DN", vartouse = "den")
}
