% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/plot_taxcycle.R
\name{plot_taxcycle}
\alias{plot_taxcycle}
\title{Plot tax cycle}
\usage{
plot_taxcycle(
  taxdf,
  modestr = "DP",
  vartouse = "den",
  specialtaxs = NULL,
  taxorder = get_taxorder(taxdf),
  cols = get_taxcol(taxorder),
  lang = get_phytolang(taxdf),
  ncol = 2
)
}
\arguments{
\item{taxdf}{A data frame at the taxonomic level.}

\item{modestr}{The mode of aggregation (e.g., "DP", "DN", etc.).}

\item{vartouse}{Variable to use for plotting.}

\item{specialtaxs}{Specific taxa to include in the plot (defaults to all).}

\item{taxorder}{The order of taxa for display.}

\item{cols}{Color palette for taxa.}

\item{lang}{Language for labels.}

\item{ncol}{Number of columns for subplot layout.}
}
\value{
A ggplot object representing the taxonomic cycle.
}
\description{
Plot tax cycle
}
\examples{
plot_taxcycle(taxdf)
}
