% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/set_ccdb.R
\name{set_ccdb}
\alias{set_ccdb}
\title{将人工审核完的ccdb上传至数据}
\usage{
set_ccdb(
  ccdbrevised,
  uid,
  conn = cctdb::get_dbconn(paste0(uid, "pub"), TRUE),
  fn = tempfile(pattern = "cctax_fixing_", fileext = ".xlsx")
)
}
\arguments{
\item{ccdbrevised}{A data frame containing the revised ccdb data after
manual checks.}

\item{uid}{A character string representing the ucc database ID.}

\item{conn}{A database connection object used for updating the database.}

\item{fn}{A character string specifying the filename for saving the Excel
file for confirmation.}
}
\value{
A logical indicating whether the data upload was successful.
}
\description{
This function uploads the manually reviewed ccdb data to the database
after confirming correctness.
}
\examples{

if (FALSE) {
  fn <- tempfile(pattern = "cctax_fixing_", fileext = ".xlsx")
  system(paste0("open ", fn))
  uid <- "ucc0014"
  get_ccdbraw(uid, savetoxlsx = FALSE) |>
    set_sub() |>
    set_ccsqno(fn = fn) |>
    set_celldenbio() |>
    set_ccdb(uid = uid)
}

}
