% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/upd_sitedb.R
\name{upd_sitedb}
\alias{upd_sitedb}
\title{Update site data in the drwateR database}
\usage{
upd_sitedb(
  uid,
  sitefn = NULL,
  conn = cctdb::get_dbconn(gsub("^(.*)$", "\\\\1pub", uid), TRUE),
  dbdisconn = TRUE
)
}
\arguments{
\item{uid}{A character string representing the user ID of the cctb database.}

\item{sitefn}{A character string specifying the path to the Excel file with
updated site information. If NULL, the current site database will be
downloaded for the user to update.}

\item{conn}{A MySQL connection object. If NULL, a new connection will be
established using \code{cctdb::get_dbconn()}.}

\item{dbdisconn}{A logical indicating whether to disconnect from the database
after execution (default is TRUE).}
}
\value{
A logical indicating whether the site table update was successful.
}
\description{
This function updates the site table in the drwateR database using
information from an Excel file.It first downloads the existing site
database to an Excel file, prompts the user to update it,
and then applies the changes to the database.
}
